Summary: LibIdent - Library
Summary(pl):	LibIdent - Biblioteka
Name: libident
Version: 0.22
Release: alt0.M24.1
License: Public Domain
Group: System/Libraries
Source0: ftp://ftp.lysator.liu.se/pub/ident/libs/%name-%version.tar.gz
# Source0-md5:	218b6706e574ca5b41a0a675cf1860eb
Patch0: %name-DESTDIR.patch

%description
LibIdent is a library which provides ident support in application.

%description -l pl
LibIdent jest bibliotek udostpniajc interfejs do usugi ident.

%package devel
Summary: LibIdent - header files
Summary(pl):	LibIdent - pliki nagwkowe
Group: System/Libraries
Requires: %name = %version-%release

%description devel
LibIdent - header files.

%description devel -l pl
LibIdent - pliki nagwkowe.

%package static
Summary: LibIdent - Static Library
Summary(pl):	LibIdent - Biblioteka statyczna
Group: System/Libraries
Requires: %name-devel = %version-%release

%description static
LibIdent - Static Library.

%description static -l pl
LibIdent - Biblioteka statyczna.

%prep
%setup -q
%patch0 -p1

%build
%__make all \
	CC="%__cc" \
	CFLAGS="%optflags -fPIC -DHAVE_ANSIHEADERS"

%install
install -d $RPM_BUILD_ROOT{%_libdir,%_man3dir,%_includedir}

%__make install \
	INSTROOT=$RPM_BUILD_ROOT%prefix \
	LIBDIR=$RPM_BUILD_ROOT%_libdir

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%doc README
%_libdir/libident.so.*

%files devel
%_libdir/libident.so
%_includedir/ident.h
%_man3dir/*

%files static
%_libdir/libident.a

%changelog
* Tue Dec 19 2006 Motsyo Gennadi <drool@altlinux.ru> 0.22-alt0.M24.1
- initial build for ALT Linux 2.4 Master from PLD linux package
